/*  Inti: Integrated Foundation Classes
 *  Copyright (C) 2002-2003 The Inti Development Team.
 *
 *  pixbuf-loader_p.h - Private interface
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef INTI_GDK_PIXBUF_LOADER_CLASS_H
#define INTI_GDK_PIXBUF_LOADER_CLASS_H

#include <inti/glib/private/object_p.h>

namespace Inti {

namespace Gdk {

class PixbufLoaderClass
{
public:
	static void init(GdkPixbufLoaderClass *g_class);

	static GType get_type();

	static void* create();

	static void size_prepared_proxy(GdkPixbufLoader *loader, int width, int height);

	static void area_prepared_proxy(GdkPixbufLoader *loader);

	static void area_updated_proxy(GdkPixbufLoader *loader, int x, int y, int width, int height);

	static void closed_proxy(GdkPixbufLoader *loader);
};

} // namespace Gdk

} // namespace Inti

#endif // INTI_GDK_PIXBUF_LOADER_CLASS_H
